AutoCAD Inventor :: Using ILogic To Find Sketch Point Locations

Jul 11, 2012

I would like to use iLogic to find the location of the points of a line, determine if the line is approximately vertical, and apply a vertical constraint if it is vertical.

Here is the code process I envision:

1. Automatically select a straight line.

2. Find the location of its end points.

3. Compare the X-value of the end points to see if they are vertically aligned (or almost so).

4. If they are vertically aligned, apply a vertical constraint.

5. Select next line and repeat.

Is this possible with iLogic? I don't see any way of calling a line's sketch points or finding their location.

View 4 Replies


ADVERTISEMENT

AutoCAD Inventor :: ILogic To Save PDF In 2 Locations

Dec 18, 2013

I'm trying find some code that will allow me to save a PDF in 2 different locations. 

I want to save a copy on my C: drive - this part has been done, but I'd like the code expanded to save a copy on the F: drive (under a similar path to that on the C: drive.

For example, for drawing XXX-XXX.dwg (C:Vault WorkspaceCADSalesEnquiries201313-XXXDrawings), I would like a PDF created in C:Vault WorkspaceCADSalesEnquiries201313-XXXDrawingsPDF  (this part has been done) and i would also like a copy saved in F:SalesEnquiries201313-XXXDrawingsPDF.

I do not know which will be easier; to create 2 PDFs, or create 1 and copy it to F:

View 2 Replies View Related

AutoCAD Inventor :: How To Get Sketch Point Data From Sketch Entity

Dec 3, 2013

I was trying to query some sketch points data from a profile Path using code as below. However the program stopped without telling the reason.

Code below:
i = 0;
foreach (ProfileEntity oSourceProfileEntity in oProfilePath) { switch (oProfilePath[i].SketchEntity.Type) { case ObjectTypeEnum.kSketchArcObject: { SketchArc srcSkArc = default(SketchArc); srcSkArc = (SketchArc) oSourceProfileEntity.SketchEntity; // error points[i] = srcSkArc.StartSketchPoint.Geometry; break; } default: { SketchLine srcSkLine = default(SketchLine); srcSkLine =(SketchLine) oProfilePath[i].SketchEntity; // error points[i] = srcSkLine.StartSketchPoint.Geometry; break; } } i++; } 

View 2 Replies View Related

AutoCAD Inventor :: ILogic For Sketch Symbols

Jun 24, 2013

I want to replace view labels in drawings with sketch symbols to get a different appearance to my drawings. (As far as i know it is not possible to change the appearance of the standard view label.) See attached snap of my desired view label.

I have used i logic on several occasions successfully but im not experienced at all.  The way I see this working is for a sketch symbol to be inserted below a view when it is created,the standard view label being omitted & the Scale/Name/Sheet details linking to the sketch symbol through parameters.

View 3 Replies View Related

AutoCAD Inventor :: ILogic - Get Extents Of A Sketch?

Sep 13, 2011

Is there some method to get the extents (i.e. bounding box) of a sketch? I'd like the vertical and horizontal dimension.

View 1 Replies View Related

AutoCAD Inventor :: Sketch In Paperspace Using ILogic

Oct 20, 2011

I need to draw in a sketch on a drawing. The sketch is created OK, but I get the error "The parameter is incorrect. (Exception from HRESULT: 0x80070057 (E_INVALIDARG))" at Call oSketch.SketchLines.AddByTwoPoints.

Dim oSketch As DrawingSketch
oSketch=ThisDrawing.ActiveSheet.Sheet.sketches.add
Dim oTranGeo As TransientGeometry
oTranGeo = ThisApplication.TransientGeometry

' Draw two point line in the sketch.

Call oSketch.SketchLines.AddByTwoPoints(oTranGeo.CreatePoint2d(10 * 2.54, 10 * 2.54), oTranGeo.CreatePoint2d(30 * 2.54, 45 * 2.54))

View 3 Replies View Related

AutoCAD Inventor :: Scale In Sketch Symbol With ILogic

Oct 1, 2013

I am trying to create a sketch symbol with info about the first view on a sheet.  It seems to work fine with any of the properties built in, but I am trying to include the scale.  There are lots of posts about putting scale in a title block, but I can't seem to get the same code to work for a sketch symbol.

View 5 Replies View Related

AutoCAD Inventor :: ILogic Controlled Sketch Symbol

Apr 19, 2012

How do i target a specific sketch symbol within a view and control it with iLogic?

View 9 Replies View Related

AutoCAD Inventor :: Insert Sketch Symbol Using Ilogic?

Aug 15, 2013

I want Inventor to add sketch symbols automaticly on cordinates according to a Custom Text Paramater

for example I have created Custom Multi Value Text User parameter Approved & Not Approved or Plate Work Notes & SteelWork Notes  wich each represent diffrent sketch symbols that needs to be placed out base on the value selected. Each sheet consist of diffrent sketch symbols

View 1 Replies View Related

AutoCAD Inventor :: Insert Sketch Symbol Using ILogic

Mar 21, 2012

insert a sketch symbol to a specific coordinate on a dwg border (top middle of dwg)

Workflow needed is as follows
 
Copy Sketched symbol folder from Standard.dwg from (C:UsersPublicDocumentsAutodeskInventor 2012Templates.Paste into open dwg document and yes to all to overide symbolsPlace a named sketched symbol from drawing resources folder ie (PRELIMINARY) to top center of all sheets within documentreturn to first sheet when complete My new dwg has symbols in correct place so any new dwgs this is ok but we need to add it to hundreds of dwgs when opened or revised,so i want to tie this to external rule and trigger on save event.

View 9 Replies View Related

AutoCAD Inventor :: ILogic Sketch Curve Counter

Apr 17, 2013

Much of our work is structures fabricated from steel plate.  One of our practices is to add a note " (SK) " to the description of plates that have a detailed sketch somewhere in the fab drawing set (simple rectangular or circular plates with no additional features do not get these detailed sketches).  The actual "detailed sketch" is just a dimensioned drawing view of that plate.

I've been working on automating this process so that Inventor can actually determine for the user whether or not the sketch is required.  I have it in certain part templates by default.  Other templates add the note automatically through iLogic when certain plate features are selected, or when the model consists of multiple part features.

This leaves one remaining case that the current set of rules can't catch - when the user creates cutouts, notches, etc. by modifying the sketch for the original extrusion.  I have determined a method for catching that case, but haven't yet figured out how to program it.

What I want to do is count all of the lines, arcs, and circles in the first model sketch.  If that count returns a number other than 4 lines, the note will be added.  If any arcs are detected, the note will be added.  If any circles are detected with lines also present, the note will be added.  There may be other cases that will come up in testing that need to be covered, but I ran into an issue before I got that far.  Construction geometry messes up the count - I need a way to exclude it.

Below is the test code I have so far for the counter.  what techniques I can use to get construction geometry out of the count.  This code doesn't include the provisions for actually adding the note yet - I'm just trying to get the counter working right first.  Instead it's just displaying the total count in a message box for test purposes.

oDoc=ThisDoc.Document
oSketch=oDoc.ComponentDefinition.Sketches.Item(1)
LineCount=oSketch.Sketchlines.count
CircleCount=oSketch.SketchCircles.count
ArcCount=oSketch.SketchArcs.count
TotalCount=LineCount+CircleCount+ArcCount
MessageBox.Show("Total Count "&TotalCount, "Title")

View 3 Replies View Related

AutoCAD Inventor :: ILogic To Change Helical Curve In 3D Sketch

Jan 13, 2014

I'm building a product configuration which includes some helical curves. I want to find out how I can change the direction of a Helical curve feature in a 3D sketch.

Variables like pitch and diameter are parameters, but the direction isn't.

View 6 Replies View Related

AutoCAD Inventor :: How To Turn Sketch Visibility On And Off Using ILogic Rules

Feb 29, 2012

How do I turn sketch visibility on and off using ILogic rules.

View 3 Replies View Related

AutoCAD Inventor :: ILogic Part Snap To Sketch For Walkways?

Apr 25, 2013

The company I'm working for is moving toward standardising all plant designs.  iLogic appears to be the best way for rapidly producing assemblies that keep to a standard. 

My new task is to automate the adding of walkways (including hand rails) to large plants.  My idea is that walkways would be added to the plant similar to how frame generator works.  The draftsman would draw a sketch on a plane around the structure.  He would then run a form (That looks like the frame generator form).He would select the lines, a rule would capture the length of that line, pattern the standard walkway along the line until the line intersection, add a corner walkway, and then pattern the straight walkways again.

1) I do not know the ilogic code in order to 'get' a length from the lines that the user selects.

2) how does one constrain the center line of a part to a sketch line.  
 
The second idea I had to create the walkway is (without a sketch), was to have a form that has a dropdown list of all the standard walkway pieces.  The form would work almost like adding a bolted connection to an assembly (e.g. bolt, washer, nut, washer, nut).  The draftsman would for instance,  choose an straight 800mm part, a 1200mm part, a corner(left), a 1200mm part.  Each walkway assembly piece, would then be added to the main assembly in the correct order and constrained.  BTW, is there any book with all the inventor iLogic code, function and uses?  I have found myself pouring though so many forums and picking up bits and pieces, but no actual instruction.  

View 2 Replies View Related

AutoCAD Inventor :: How To Copy And Paste Sketch In Same Plane Through ILogic

May 1, 2013

Here I attached my model view it's just for reference here iam using rectangular pattern and simple ilogic code .Using rectangular pattern we will get all same sizes of boxes but i want to change different different sizes and positions. my idea is without using pattern just draw one rectangular through parameter. Select no. of compartments automatically copy and paste that rectangular in same sketch plane and ask sizes and positions dimensions.

It's possible through ilogic?

In my panel bar options are:

Hight of panel- Hight of panel

width1- Width of panel

Depth1-Depth of panel

com1- no.of Compartments

hIN- No.of Hinges

View 1 Replies View Related

AutoCAD Inventor :: 3D Sketch Only Allow One Edge Through A Point

Jan 18, 2012

I use vb.net draw a cube frame (just point and add edge to link points) in 3dsketch. But at the corner, I got only one edge, the others are filled that is a arc is inserted between the 2nd & 3rd edge to the corner point. There is no second edge is extended to that point.

Just wondering why I got the result. There is no fillet command in my code.

View 1 Replies View Related

AutoCAD Inventor :: Coincidence Point In 3D Sketch

Dec 15, 2012

I want to concide two points of two different lines.These two lines have been created in two different workplanes with 2D sketch.

View 7 Replies View Related

AutoCAD Inventor :: Cannot Set Values Of A Sketch Point

Jan 17, 2012

I'm trying to contrain the end points of 2 lines using iLogic. I know the end points but I cannot get the values into the SketchPoint object. The real odd thing is I can create the lines no problem. I tried it 2 different ways shown below. The first way gives me this error..."Object reference not set to an instance of an object.". The second says "Unable to cast COM object.."

Dim oTG As TransientGeometry
oTG = ThisApplication.TransientGeometry
Dim EntityEndPt As SketchPoint
EndPtX = 0 * 2.54
EndPtY = 3 * 2.54
‘Code Fails Here!
EntityStartPt.Geometry.X = EndPtX

View 5 Replies View Related

AutoCAD Inventor :: How To Get The Center Point For Sketch

Nov 11, 2013

I just want to know that how can I get the center point from a Sketch Object ?

View 1 Replies View Related

AutoCAD Inventor :: Add Sketch-point To Midpoint Of Arc?

Mar 16, 2012

How would one add a sketch-point to a midpoint of an arc? For a SketchLine its easy...

oSketch.GeometricConstraints.AddMidpoint oSketchPoint, oSketchLine

However, I can't see how to do the same operation to find the midpoint of a SketchArc. The interface of course has a selection filter for this so I assume the API can do the same?

View 6 Replies View Related

AutoCAD Inventor :: ILogic Code To Turn Sketch Block Visibility On And Off

Jul 28, 2013

I've managed to cobble this code together to turn some sketch visibilities on and off. However, what I'd really like to do is have a single sketch containing some blocks, and turn the visibility of the blocks on and off... How to call the blocks -

'Iterate through the sketches collection'Turn the edging indicators On And Off
For Each oSketch In oDoc.ComponentDefinition.Sketches Select Case
oSketch.NameCase "Front Edged"If E01 = True Then
oSketch.Visible = TrueElse oSketch.Visible = FalseEnd IfCase "Top Edged"If E02 = True Then
oSketch.Visible = TrueElse oSketch.Visible = FalseEnd IfCase "Back Edged"If E03 = True Then
oSketch.Visible = TrueElse oSketch.Visible = FalseEnd IfCase "Base Edged"If E04 = True Then
oSketch.Visible = TrueElse oSketch.Visible = FalseEnd IfEnd SelectNext

View 2 Replies View Related

AutoCAD Inventor :: ILogic Change Sketch Symbol Text Font

Jun 17, 2012

My iLogic ability is quite limited outside of what I use regularly?

I am trying to change the font style in every text definition in all my sketch symbols in one go. Actually I have started it based on only a selection set but I would be happy with just all symbols too. Below is where I got to, I am stuck on the For Each line to cover each text box in the symbol. Some of the other syntax may not be right either but I can't test it all the way through.
 
Dim oDoc As DrawingDocument: oDoc = ThisApplication.ActiveDocumentDim oSheet As Sheet: oSheet = oDoc.ActiveSheetDim i As LongDim oSymDef As SketchedSymbolDefinition: oSymDef = oDoc.SketchedSymbolDefinitions.Item(i)Dim oText As TextBoxesFor i = 1 To oDoc.SelectSet.CountFor Each oText In ............oSymDef.TextBoxes.Item(i).FormattedText ="<StyleOverride Font='ARIAL'>...< /StyleOverride>"NextNextInventorVb.DocumentUpdate()
 
Also the XML style override is not complete if this is the only way to achieve this result.

Inventor Professional 2013, Autodesk Simulation Multiphysics 2013
Windows 7 x64 Core i7 32GB Ram FX2000

View 6 Replies View Related

AutoCAD Inventor :: Cannot Find Customization For Marking Menu For Sketch

Oct 16, 2011

The Marking Menu of 2012 so far is a big brake for me.
 
I wish I can make some alterations but I did not find in this huge variety of possibilities
the option to alter the context menu of the Sketch.
 
I am in Sketch. I drawing the line. I want to quit. I do right click and have the menu. the name and probably the sub name of that menu. I cannot find it at all in the Customization list. I wish at least to locate the Escape to bottom. Did not find also the option to turn the Marking menu off.

View 2 Replies View Related

AutoCAD Inventor :: Sketch Origin Center Point

May 6, 2013

The screen shot below shows three coincident constraints and a projection icon on the origin.

 looks like a projection icon - what does it mean?

I want to delete the three coincident constraints. But when I delete the coincident constraints there is no Sketch origin center point (the sketch origin center point is a square-yellow dot at the x-y intersection). How to delete or move the three coincident constraints with out deleting the sketch origin center point?

View 2 Replies View Related

AutoCAD Inventor :: Can't Use Sketch To Create Point Or Axis

Oct 4, 2011

I have this assembly shown in the pic. below. I'm trying to create a point or axis in the blue corner points (to attaches something later on) but it just won't let me choose it for some reason. I know that it's possible to to do that (almost sure I already done this trivial thing in inventor.)

Any reason it's not letting me choose the sketch points/line to in order to create points or axis(s)?

Inventor 2012 Pro.
I7 workstation

View 8 Replies View Related

AutoCAD Inventor :: How To Make A Plane Through Sketch Point

Sep 27, 2013

I cannot make a plane parallel to a surface and through a sketch point.

I can't also select the sketch point or line in order to make an axis. the sketch point, line from the sketch or anything from a sketch isn't selectable.

View 4 Replies View Related

AutoCAD Inventor :: Retrieve Start Point On New Sketch

Apr 24, 2012

how do I retrieve the centre point in my design axis in Inventor, when I create a new sketch, like the point at x0:y0:z0

View 2 Replies View Related

AutoCAD Inventor :: Can't Grab / Move Any Point On Sketch

Sep 20, 2013

It goes f.e. like this:

I draw a line (no constrains) and I can move it by grabing an end or whole line by click&hold mouse button, great.

But after couple minutes of work with part and sketches I can't grab anything. Even on new created sketches and new lines. Click and drag just open rectangle selection. Oh, between these phases there is a phase when 2nd click&hold works...

When I open/create another part it is normall, but this one I must close and open again.

View 2 Replies View Related

AutoCAD Inventor :: Find And List With Ilogic

Nov 18, 2013

Trying to have ilogic find parts in an assembly that start with 900C7 so I can link the to a cell in excel showing the QTY and the LENGTH..

Right now I am just trying to get ilogic to find and list them then I know I can move to the next step..

Example:

 900C71.250

 900C72.125

 900C7A.750

 900C7P1.1875

 And many more.

Here is what I have but it keeps posting the NOTHING message box. I have a few of the parts in the assembly and a few none 900C7 parts.

Dim openDoc As Inventor.DocumentDim docFile As Inventor.DocumentDim assemblyDoc As AssemblyDocumentDim partOcc As ComponentOccurrenceDim FNamePos As LongDim docFName As StringDim oList As Collection = New CollectionopenDoc = ThisApplication.ActiveDocumentIf openDoc.DocumentType
[Code] .....

Here is a screen shot of the excel file what I am trying.

View 9 Replies View Related

AutoCAD Inventor :: Turned Off Snap To End Point In Sketch Mode?

Oct 19, 2011

Inventor 2010

Some how I turned off the snap to end point in the sketch mode. where is the dialog box to control snap settings

View 2 Replies View Related

AutoCAD Inventor :: 2 Point Centre Rectangle Sketch Offset

Jul 9, 2013

I know why you cant loop select and offset the rectangle but surley if you are going to take the time to listen to users and create requested tools, you should do it well?

View 4 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved